<?php
/**
 * @file
 * Embed Widget display defition.
 */

/**
 * Implementation of hook_views_plugins().
 */
function embed_widgets_views_plugins() {
  $data = array(
    'display' => array(
      'embed_widgets' => array(
        'title' => t('Embed widget'),
        'help' => t('Display the view as a widget. Offer a snippet of code that users can copy and paste to another web site.'),
        'handler' => 'embed_widgets_plugin_display_embed_widgets',
        'parent' => 'attachment',
        'path' => drupal_get_path('module', 'embed_widgets') .'/views',
        'uses hook menu' => TRUE,
        'theme' => 'views_view',
        'use ajax' => FALSE,
        'use pager' => FALSE,
        'accept attachments' => FALSE,
      ),
    ),
  );
  return $data;
}
